terraform {
  required_providers {
    hcloud = {
      source = "hetznercloud/hcloud"
      version = "1.57.0"
    }
    netbox = {
      source = "e-breuninger/netbox"
      version = "5.0.0"
    }
  }
}

variable NETBOX_API_TOKEN {
  type        = string
  description = "netbox api token"
  sensitive   = true
}

variable NETBOX_SERVER_URL {
  type        = string
  description = "netbox Server URL"
  sensitive   = true
}

variable HETZNER_API_TOKEN {
  type        = string
  description = "hetzner cloud api token"
  sensitive   = true
}

provider "netbox" {
  server_url   = var.NETBOX_SERVER_URL
  api_token = var.NETBOX_API_TOKEN
}

provider "hcloud" {
  token = var.HETZNER_API_TOKEN
}